* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: poppins;
}
.rotate:hover {
    transform: rotate(360deg);
    transition: transform 0.5s ease;
}

html {
    scroll-behavior: smooth;
    transition: 0.5s linear;
}
#home {
    scroll-margin-top: 70px;
}
#aboutme {
    scroll-margin-top: 70px;
}
#skills {
    scroll-margin-top: 70px;
}
#portfolio {
    scroll-margin-top: 70px;
}
#testimonials {
    scroll-margin-top: 70px;
}
@keyframes moveBorder {
    0% {
        transform: translateX(0) translateY(0);
    }
    25% {
        transform: translateX(0) translateY(-15px);
    }
    50% {
        transform: translateX(0) translateY(0);
    }
    75% {
        transform: translateX(0) translateY(5px);
    }
    100% {
        transform: translateX(0) translateY(0);
    }
}

/* .animation-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: #333;
    overflow: hidden;
} */
@keyframes slideIn {
    0% {
        transform: translateX(100%);
        transition: 1s linear;
    }
    100% {
        transform: translateX(0);
    }
}

.moving-border {
    border: 4px solid white;
    display: inline-block;
    padding: 15px;
    text-align: center;
    font-size: 3rem;
    color: white;
    animation: moveBorder 4s infinite;
}
.lightbox {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 9999;
}

.lightbox-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    padding: 20px;
    border-radius: 10px;
}

.close {
    position: absolute;
    top: 10px;
    right: 25px;
    font-size: 30px;
    cursor: pointer;
    color: black;
}
.name {
    padding-left: 0.25rem !important;
}
.navtext {
    padding: 0rem !important;
}

@media (max-width: 768px) {
    .aboutmeinfo {
        width: 300px;
        margin-left: 0.25rem !important;
    }
    .herotext {
        display: absolute !important;
        left: 2rem !important;
        position: absolute;
        transform: translate(3%) !important;
    }
    .heroimg img {
        padding-left: 0.25rem !important;
    }
    .testipara {
        padding: 2px !important;
        text-justify: inter-word !important;
    }
    .getintouch {
        padding: 1rem !important;
    }
    .skls {
        width: 100% !important;
    }
    .mskill {
        padding: 0px 1rem !important;
    }
    .progress {
        padding: 0px 1rem !important;
    }
    .portimg img {
        width: 400px !important;
    }
    .aboutme img {
        height: 300px !important;
        display: none !important;
    }
    .lightbox-content {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        background-color: white;
        padding: 20px;
        border-radius: 10px;
        width: 70%;
        height: auto;
        overflow: hidden;
    }
    .lightbox-content img {
        width: 100%;
        height: auto;
    }
}

@media (min-width: 768px) and (max-width: 1024px) {
    .aboutmeinfo {
        width: 650px !important;
    }
    .progress {
        width: 700px !important;
    }
    .portfol {
        justify-content: center !important;
    }
    .aboutme img {
        width: 700px !important;
    }
    .mskill {
        width: 700px !important;
    }
}

/* Your existing styles */
